import { Server } from "@modelcontextprotocol/sdk/server/index.js";
import type { LoggingLevel, ProgressToken } from "@modelcontextprotocol/sdk/types.js";
import ResourceManager from "./ResourceManager";
import type { CallToolMeta } from "../types";
export declare class Context {
    private server;
    private resourceManager;
    private _progressToken?;
    private _meta;
    constructor(server: Server, resourceManager: ResourceManager, meta: CallToolMeta);
    reportProgress(progress: number, total?: number): Promise<void>;
    readResource(uri: string): Promise<string | Uint8Array>;
    get progressToken(): ProgressToken | undefined;
    get meta(): CallToolMeta;
    log(level: LoggingLevel, message: string, loggerName?: string): void;
    debug(message: string, loggerName?: string): void;
    info(message: string, loggerName?: string): void;
    warning(message: string, loggerName?: string): void;
    error(message: string, loggerName?: string): void;
}
