import { type ReadResourceResult } from "@modelcontextprotocol/sdk/types.js";
import type { ResourceConfig, ResourceDefinition, ResourceTemplateConfig, ResourceTemplateDefinition } from "../types";
import MCPResource from "./MCPResource";
import MCPResourceTemplate from "./MCPResourceTemplate";
export declare class ResourceError extends Error {
}
export declare class ResourceNotFoundError extends ResourceError {
    message: string;
}
export declare class ResourceConverter {
    static toSerializableResource(resource: MCPResource): ResourceDefinition;
    static toSerializableResourceTemplate(resourceTemplate: MCPResourceTemplate): ResourceTemplateDefinition;
}
export default class ResourceManager {
    private resources;
    private templates;
    private constructor();
    addResource(config: ResourceConfig): void;
    addTemplate(config: ResourceTemplateConfig): void;
    private createResourceFromTemplate;
    get(uri: string): Promise<ReadResourceResult>;
    listTemplates(): ResourceTemplateDefinition[];
    listResources(): ResourceDefinition[];
    static create(): ResourceManager;
}
