import MCPTool from "./MCPTool";
import { Context } from "./Context";
import type { SerializableTool, ToolConfig } from "../types";
export declare class ToolError extends Error {
}
export declare class ToolNotFoundError extends ToolError {
    message: string;
}
export declare class ToolConverter {
    static toSerializableTool(tool: MCPTool): SerializableTool;
}
export default class ToolManager {
    private tools;
    private constructor();
    add(config: ToolConfig): void;
    list(): SerializableTool[];
    call(name: string, args?: Record<string, unknown>, context?: Context): Promise<any>;
    static create(): ToolManager;
}
